;**********************************************************************
; lift_01.scm - changed dd.: august 7, 2003 by Max Roodveldt
;
; weather_ridge_lift ->fs2k sdk
;
; macro( lift_01.scm %1 %2 %3 %4 %5 %6 %7 )
;
; %1 = latitude,
; %2 = longitude,
; %3 = bottom,
; %4 = top,
; %5 = radius,
; %6 = wind direction in degrees
; %7 = scalar
;
;**********************************************************************

Area( 5 %1 %2 1 )
	RefPoint( 7 : 1.0 %1 %2 V1= 65000 V2= 0 )

	; make thermal visible

	Points( 1
	-%5 %3 -%5
	-%5 %3  %5
	 %5 %3  %5
	 %5 %3 -%5
	-%5 %4 -%5
	-%5 %4  %5
	 %5 %4  %5
	 %5 %4 -%5
	)

	RGBScolor( e0 255 255 255 ) ; transparent white

	Poly( a 1 2 3 4)
	Poly( a 1 2 6 5)
	Poly( a 2 3 7 6)
	Poly( a 3 4 8 7)
	Poly( a 4 1 5 8)
	Poly( a 5 6 7 8)

	; set lift if plane in 3D area

	Monitor3D( : -%5 %5 %3 %4 -%5 %5 )
 	SetWeather( :end )
	Weather( 14C %6 %7 0 )
	:end
	Return
EndA

;**********************************************************************
